%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global majorversion 1
Name:          bean-validation-api11
Version:       1.1.0
Release:       1%{?dist}
Summary:       Bean Validation API (JSR 349)
Group:         Development/Libraries
License:       ASL 2.0
URL:           http://beanvalidation.org/
Source0:       https://github.com/beanvalidation/beanvalidation-api/archive/%{namedversion}.tar.gz

BuildRequires: java-devel
# test deps
BuildRequires: testng

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-testng

Requires:      java
BuildArch:     noarch

%description
This package contains Bean Validation (JSR 349) API.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n beanvalidation-api-%{namedversion}

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/validation-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -v "%{majorversion},%{namedversion}"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp  target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-%{majorversion}.jar
%{_mavenpomdir}/JPP-%{name}-%{namedversion}.pom
%{_mavenpomdir}/JPP-%{name}-%{version}.pom
%{_mavenpomdir}/JPP-%{name}-%{majorversion}.pom
%{_mavendepmapfragdir}/%{name}
%doc copyright.txt license.txt

%files javadoc
%{_javadocdir}/%{name}
%doc copyright.txt license.txt

%changelog
* Thu May 09 2013 gil cattaneo <puntogil@libero.it> 1.1.0-1
- initial rpm